import Cookies from 'js-cookie'

const TokenKey = 'Admin-Token'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

/** tentant 缓存 */
const TenantKey = 'Tenant-Key'

export function getTenant() {
  const cookieTenant = Cookies.get(TenantKey)
  return cookieTenant ? JSON.parse(cookieTenant) : null
}

export function setTenant(tenant) {
  const tenantStr = JSON.stringify(tenant)
  return Cookies.set(TenantKey, tenantStr)
}
